Bug 1249559 - SwimLane Undo moving hide BP diagram in IE11 and IE10
SwimLane Undo moving hide BP diagram in IE11 and IE10
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
unspecified
All Windows
high Severity unspecified
: ---
: ---
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 06:07 EDT by Kirill Gaevskii
Modified: 2018-01-30 18:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
IE 10 and IE 11
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
IE10 and IE11 SwimLane move Undo (1 time) (194.06 KB, image/jpeg)
2015-08-03 06:07 EDT, Kirill Gaevskii
no flags Details
Disappearing of Text after Undo button in IE10 (1.93 MB, text/plain)
2015-09-02 07:52 EDT, Kirill Gaevskii
no flags Details
Disappearing of Text after Undo button in IE11 (3.66 MB, application/octet-stream)
2015-09-02 07:53 EDT, Kirill Gaevskii
no flags Details

  None (edit)
Description Kirill Gaevskii 2015-08-03 06:07:42 EDT
Created attachment 1058710 [details]
IE10 and IE11 SwimLane move Undo (1 time)

Description of problem:
After Undo moving of SwimLane destroy Business Process diagram.

Version-Release number of selected component (if applicable):
6.1.2.CR3 and older (at least to 6.1.GA)

How reproducible:
always

Steps to Reproduce:
1. Create Business Process with SwimLane
2. Save Business Process
3. Close Business Process
4. Open Business Process
5. Move SwimLane
6. Click Undo Button
7. Click Undo Button again

Actual results:
Point 6: Business Process diagram disappear (source of Business Process also have no elements), Undo button still active. Point 7: diagram backs to state 2., Undo button still active.

Expected results:
Point 6: SwimLane backs to it's previous position, nothing disappear, Undo button is locked.

Additional info:
Comment 2 Jeremy Lindop 2015-08-20 08:46:32 EDT
This is a general problem with Undo functionality in IE10 and IE11. When you work on a BP and use the Undo button multiple times, the whole BP disappears every other time you click the Undo button, and the number of times Undo is available seems somewhat unpredictable.
Comment 3 Kirill Gaevskii 2015-09-02 07:51:08 EDT
After BZ 1236165 new thing about undo button appear.

If you will click undo button 2-3 times diagram is shown, but all text (except canvas title) still disappeared. After some actions on canvas (for example moving some element) text is back. 

Also we have a problem with arrows redrawing as in BZ 1249593.

See attachments.
Comment 4 Kirill Gaevskii 2015-09-02 07:52:27 EDT
Created attachment 1069383 [details]
Disappearing of Text after Undo button in IE10
Comment 5 Kirill Gaevskii 2015-09-02 07:53:11 EDT
Created attachment 1069386 [details]
Disappearing of Text after Undo button in IE11

Note You need to log in before you can comment on or make changes to this bug.